<template>
  <div class="sidebar h-100">
    <div class="card-sidebar d-flex flex-column justify-content-between p-3">
      <span class="font-large font-bold text--gray">IFTM</span>
      <div>
        <span class="font-medium text--light">{{ category }}</span>
        <span class="font-small text--light">{{
          subcategory != "" ? " - " + subcategory : ""
        }}</span>
      </div>
    </div>
    <div v-if="perfil === 'admin'">
      <router-link
        :to="{ name: 'categories-list' }"
        class="d-flex flex-column justify-content-between p-3 card-sidebar"
        v-bind:class="{
          'sidebar-item-selected': $route.name === 'categories-list'
        }"
      >
        <span
          class="font-x-small text--gray mb-2"
          v-bind:class="{
            'font-small font-bold': $route.name === 'categories-list'
          }"
          >CATEGORIAS</span
        >
        <span
          class="font-small text--gray d-none"
          v-bind:class="{ 'd-flex': $route.name === 'categories-list' }"
          >Listar as categorias.</span
        >
      </router-link>
      <router-link
        :to="{ name: 'evaluations-list' }"
        class="d-flex flex-column justify-content-between p-3 card-sidebar"
        v-bind:class="{
          'sidebar-item-selected': $route.name === 'evaluations-list'
        }"
      >
        <span
          class="font-x-small text--gray mb-2"
          v-bind:class="{
            'font-small font-bold': $route.name === 'evaluations-list'
          }"
          >AVALIAÇÕES</span
        >
        <span
          class="font-small text--gray d-none"
          v-bind:class="{ 'd-flex': $route.name === 'evaluations-list' }"
          >Listar as avaliações desta subcategoria.</span
        >
      </router-link>
      <router-link
        :to="{ name: 'evaluations-registry' }"
        class="d-flex flex-column justify-content-between p-3 card-sidebar"
        v-bind:class="{
          'sidebar-item-selected': $route.name === 'evaluations-registry'
        }"
      >
        <span
          class="font-x-small text--gray mb-2"
          v-bind:class="{
            'font-small font-bold': $route.name === 'evaluations-registry'
          }"
          >NOVA AVALIAÇÃO</span
        >
        <span
          class="font-small text--gray d-none"
          v-bind:class="{ 'd-flex': $route.name === 'evaluations-registry' }"
          >Crie uma nova avaliação à ser aplicada aos avalidos dessa
          categoria.</span
        >
      </router-link>
      <router-link
        :to="{ name: 'questions-registry' }"
        class="d-flex flex-column justify-content-between p-3 card-sidebar"
        v-bind:class="{
          'sidebar-item-selected': $route.name === 'questions-registry'
        }"
      >
        <span
          class="font-x-small text--gray mb-2"
          v-bind:class="{
            'font-small font-bold': $route.name === 'questions-registry'
          }"
          >NOVA QUESTÃO</span
        >
        <span
          class="font-small text--gray d-none"
          v-bind:class="{ 'd-flex': $route.name === 'questions-registry' }"
          >Crie uma nova questão à ser aplicada aos avalidos dessa
          categoria.</span
        >
      </router-link>
    </div>
    <div v-if="perfil === 'avaliando'">
      <router-link
        :to="{ name: 'categories-list' }"
        class="d-flex flex-column justify-content-between p-3 card-sidebar"
        v-bind:class="{
          'sidebar-item-selected': $route.name === 'categories-list'
        }"
      >
        <span
          class="font-x-small text--gray mb-2"
          v-bind:class="{
            'font-small font-bold': $route.name === 'categories-list'
          }"
          >CATEGORIAS</span
        >
        <span
          class="font-small text--gray d-none"
          v-bind:class="{ 'd-flex': $route.name === 'categories-list' }"
          >Listar as categorias.</span
        >
      </router-link>
      <router-link
        :to="{ name: 'subcategories-list' }"
        class="d-flex flex-column justify-content-between p-3 card-sidebar"
        v-bind:class="{
          'sidebar-item-selected': $route.name === 'subcategories-list'
        }"
      >
        <span
          class="font-x-small text--gray mb-2"
          v-bind:class="{
            'font-small font-bold': $route.name === 'subcategories-list'
          }"
          >SUB-CATEGORIAS</span
        >
        <span
          class="font-small text--gray d-none"
          v-bind:class="{ 'd-flex': $route.name === 'subcategories-list' }"
          >Listar as subcategorias.</span
        >
      </router-link>
      <router-link
        :to="{ name: 'evaluations-list' }"
        class="d-flex flex-column justify-content-between p-3 card-sidebar"
        v-bind:class="{
          'sidebar-item-selected': $route.name === 'evaluations-list'
        }"
      >
        <span
          class="font-x-small text--gray mb-2"
          v-bind:class="{
            'font-small font-bold': $route.name === 'evaluations-list'
          }"
          >AVALIAÇÕES</span
        >
        <span
          class="font-small text--gray d-none"
          v-bind:class="{ 'd-flex': $route.name === 'evaluations-list' }"
          >Listar as avaliações em aberto.</span
        >
      </router-link>
      <router-link
        :to="{ name: 'evaluations-list-me' }"
        class="d-flex flex-column justify-content-between p-3 card-sidebar"
        v-bind:class="{
          'sidebar-item-selected': $route.name === 'evaluations-list-me'
        }"
      >
        <span
          class="font-x-small text--gray mb-2"
          v-bind:class="{
            'font-small font-bold': $route.name === 'evaluations-list-me'
          }"
          >MINHAS AVALIAÇÕES</span
        >
        <span
          class="font-small text--gray d-none"
          v-bind:class="{ 'd-flex': $route.name === 'evaluations-list-me' }"
          >Listar as avaliações realizadas.</span
        >
      </router-link>
    </div>
  </div>
</template>

<script>
import { contains } from "@/utils/StringUtils";

export default {
  name: "Sidebar",
  data() {
    return {
      category: "Matemática",
      subcategory: "Conjuntos",
      perfil: "admin"
    };
  },
  beforeMount() {
    const self = this;
    if (contains(self.$route.name, "subcategories")) {
      self.subcategory = "";
    } else if (contains(self.$route.name, "categories")) {
      self.category = "";
      self.subcategory = "";
    }
  }
};
</script>
